summaryrefslogtreecommitdiff
path: root/source4/script/installswat.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source4/script/installswat.sh')
-rw-r--r--source4/script/installswat.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/source4/script/installswat.sh b/source4/script/installswat.sh
index 1d89c2e86c..05245d8f06 100644
--- a/source4/script/installswat.sh
+++ b/source4/script/installswat.sh
@@ -2,6 +2,7 @@
SWATDIR=$1
SRCDIR=$2
+LIBDIR=$3
echo Installing swat files in $SWATDIR
@@ -26,6 +27,12 @@ installdir scripting/*.ejs scripting/*.esp scripting/*.js
installdir style/*.css
installdir docs/*.js
+
+echo "Installing js libs"
+cd ../source/scripting || exit 1
+mkdir -p $LIBDIR/js
+cp libjs/*.js $LIBDIR/js
+
cat << EOF
======================================================================
The swat files have been installed.